# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(Plack/Handler/Apache1.pm) perl(Plack/Test.pm) perl(Try/Tiny.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Dispatch
Version:        3.12
Release:        alt1_2
Summary:        Dispatch requests to CGI::Application based objects
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CGI-Application-Dispatch/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-Dispatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/PSGI.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exception/Class/TryCatch.pm)
BuildRequires:  perl(HTTP/Exception.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Plack.pm)
BuildRequires:  perl(Test/LongString.pm)
BuildRequires:  perl(Test/More.pm)
# Apache::Test must be configured before use.
# BuildRequires:  perl(Apache::Test)


Source44: import.info

%description
This module provides a way (as a mod_perl handler or running under vanilla
CGI) to look at the path (as returned by dispatch_path) of the incoming
request, parse off the desired module and it's run mode, create an instance
of that module and run it.

%prep
%setup -q -n CGI-Application-Dispatch-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.12-alt1_2
- update to new release by fcimport

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.12-alt1_1
- update to new release by fcimport

* Mon Sep 17 2012 Igor Vlasenko <viy@altlinux.ru> 3.10-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 3.07-alt1_4
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.07-alt1_2
- fc import

